package model

import (
	"time"
)

type GroupNotice struct {
	Id          int64     // 自增主键
	GroupId     int64     // 群组id
	UserId      int64     // 发布用户id
	Content     string    // 公告内容
	LikeNums    int       // 点赞数量
	ReadNums    int       // 阅读数量
	PublishType int32     // 发布方式(1:仅发布 2:发布并通知 3:通知并置顶)
	CreateTime  time.Time // 创建时间
	UpdateTime  time.Time // 更新时间
}
